Dotazy > Všeobecná podpora

Chyby při update

(1/1)

marp:
Při aktualizaci, jak klasicky pomocí apt tak i v Synapticu mi vyskakují tyto chyby:

--- Kód: ---W: http://ftp.cz.debian.org/debian/dists/buster/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: http://security.debian.org/debian-security/dists/buster/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: http://deb.debian.org/debian/dists/buster/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
--- Konec kódu ---
Systém se samozřejmě normálně aktualizuje. Nevíte někdo, jak to odstranit?

Petr Krčmář:
Máš poškozený keyrig – databázi vývojářských veřejných GPG klíčů, které se používají při ověřování stažených balíčků. Budeš muset znovu do klíčenky přidat všechny klíče, které jsou v balíčku debian-keyring. Měl bys je mít v systému v
--- Kód: ---/usr/share/keyrings/*gpg
--- Konec kódu ---
. Přidáš je všechny pomocí
--- Kód: ---apt-key add
--- Konec kódu ---
. Pokud v systému ty klíče nemáš, budeš si muset ručně ten balík stáhnout z archivu, soubory z něj vyndat a vložit je tam odtud.

Navigace

[0] Seznam témat

Přejít na plnou verzi